Bug 100560 - [META] Experimental interactive autocomplete
: [META] Experimental interactive autocomplete
Status: RESOLVED WONTFIX
Product: WebKit
Classification: Unclassified
Component: Forms
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Dan Beam
http://lists.whatwg.org/htdig.cgi/wha...
:
Depends on: 100557 101376 102320 105568 106610 114846
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 14:15 PDT by Dan Beam
Modified: 2013-04-19 01:43 PDT (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Beam 2012-10-26 14:15:36 PDT
This bug is to track work and dependencies of a proposed new interactive autocomplete UI flow, as proposed here: http://lists.whatwg.org/htdig.cgi/whatwg-whatwg.org/2012-October/037711.html
Comment 1 Alexey Proskuryakov 2012-10-26 16:22:09 PDT
Has there been a webkit-dev e-mail sent about this? Certain experiments may be against project goals, and it's not immediately clear if this one is desired.
Comment 2 Dan Beam 2012-10-26 16:23:25 PDT
Sending out mail to webkit-dev@ shortly, was already working on it :).
Comment 3 Dan Beam 2012-11-01 19:18:56 PDT
webkit-dev@ bug was sent here, btw: http://lists.webkit.org/pipermail/webkit-dev/2012-October/022622.html
Comment 4 Kent Tamura 2012-11-06 21:12:31 PST
Please update https://trac.webkit.org/wiki/FeatureFlags for ENABLE_REQUEST_AUTOCOMPLETE.
Comment 5 Dan Beam 2012-11-06 21:20:17 PST
(In reply to comment #4)
> Please update https://trac.webkit.org/wiki/FeatureFlags for ENABLE_REQUEST_AUTOCOMPLETE.

Done. https://trac.webkit.org/wiki/FeatureFlags#REQUEST_AUTOCOMPLETE
Comment 6 Dan Beam 2013-04-19 01:43:42 PDT
I'm WontFix'ing this bug until a WebKit port wants this functionality (only Chromium ever implemented it).

Feel free to revert <http://trac.webkit.org/changeset/148731> to bring requestAutocomplete() back.

So long and thanks for all the fish!